Page MenuHomePhabricator

Setup and deploy Help panel on Arabic Wikipedia
Closed, ResolvedPublicJul 18 2019

Description

When all configuration will be ready from T225738: Setup configuration for Growth team experiments on Arabic Wikipedia:

  • Configure the deployment on Arabic Wikipedia (it is already on Arabic Beta Wikipedia - T226205)
  • Define a date for the deployment with @Dyolf77_WMF
  • Inform communities about it (@Dyolf77_WMF )
  • Push it into production
  • Validate that incoming data is correct (@nettrom_WMF)

Details

Due Date
Jul 18 2019, 7:00 AM

Event Timeline

  • Define a date for the deployment with @Dyolf77_WMF

    |_ July 17th

Moving to our current sprint for @Trizek-WMF to track

Catrope updated the task description. (Show Details)Jul 15 2019, 10:41 PM

Change 523354 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable GrowthExperiments help panel on arwiki

https://gerrit.wikimedia.org/r/523354

Change 523355 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable help panel for 50% of new users on arwiki

https://gerrit.wikimedia.org/r/523355

Catrope changed the subtype of this task from "Task" to "Deadline".Jul 15 2019, 11:42 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptJul 15 2019, 11:42 PM
Catrope set Due Date to Jul 18 2019, 7:00 AM.Jul 15 2019, 11:43 PM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJul 15 2019, 11:43 PM
Catrope updated the task description. (Show Details)Jul 15 2019, 11:57 PM

Scheduled for 18:00-19:00 UTC (11:00-12:00 PDT) on July 18th.

MMiller_WMF added a comment.EditedJul 17 2019, 8:10 PM

@Catrope -- because I don't think I can confidently test Flow in time for tomorrow, I think we should delay this release until Monday or Tuesday, pending testing from @Etonkovidova on T212433.

@Dyolf77_WMF -- unfortunately, we weren't able to get this tested in time to deploy the help panel on tomorrow's planned date. My new estimate is Monday (July 22) or Tuesday (July 23). That said, you are encouraged to test the help panel and homepage on Arabic Beta on both desktop and mobile. Please point out any issues on this task. We expect everything to be working correctly in both features.

...
@Dyolf77_WMF -- unfortunately, we weren't able to get this tested in time to deploy the help panel on tomorrow's planned date. My new estimate is Monday (June 22) or Tuesday (June 23). That said, you are encouraged to test the help panel and homepage on Arabic Beta on both desktop and mobile. Please point out any issues on this task. We expect everything to be working correctly in both features.

You mean July 22 and July 23, right?
Ongoing tests.

Change 523354 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments help panel on arwiki

https://gerrit.wikimedia.org/r/523354

Mentioned in SAL (#wikimedia-operations) [2019-07-22T18:09:34Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable GrowthExperiments help panel on arwiki (T226729) (duration: 00m 48s)

Change 523355 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable help panel for 50% of new users on arwiki

https://gerrit.wikimedia.org/r/523355

Mentioned in SAL (#wikimedia-operations) [2019-07-22T18:31:25Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable help panel for 50% of new users on arwiki (T226729) (duration: 00m 47s)

MMiller_WMF closed this task as Resolved.EditedJul 23 2019, 5:23 AM
MMiller_WMF claimed this task.

This was deployed today at July 22 18:31 UTC. Any issues will be filed separately. I'll consider @nettrom_WMF's live testing of the data in kafka as sufficient. I'll check out the data further when I update the reporting code to include Arabic.

MMiller_WMF updated the task description. (Show Details)Jul 23 2019, 5:23 AM

BTW, I've updated and run the Help Panel leading indicators notebook on Arabic (with the exception of the last question about viewing the answer because that requires more manual labor), and there doesn't appear to be any issues with the data there either.